Bug 223240 - Wrong min-score causes erroneous 'downgrade' + reboot
Summary: Wrong min-score causes erroneous 'downgrade' + reboot
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On: 223234
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-18 16:41 UTC by Lon Hohberger
Modified: 2018-10-19 19:55 UTC (History)
4 users (show)

Fixed In Version: RHBA-2007-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 16:59:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0575 normal SHIPPED_LIVE cman bug fix update 2007-10-31 12:26:24 UTC

Description Lon Hohberger 2007-01-18 16:41:56 UTC
+++ This bug was initially created as a clone of Bug #223234 +++

Description of problem:

[5609] info: Quorum Partition: /dev/sdd1 Label: lon
[5609] info: Quorum Daemon Initializing
[5609] info: Initial score 11/11
[5609] info: Initialization complete
[5609] notice: Score insufficient for master operation (11/20; max=11); downgrading
(reboot)

Version-Release number of selected component (if applicable): All.

How reproducible: 100%


Steps to Reproduce:
1. configure heuristics with total score < qdisk min_score
2. start qdiskd
3. (boom)
  
Actual results: reboot

Expected results: Note configuration error and/or run w/o qdisk votes.

-- Additional comment from lhh@redhat.com on 2007-01-18 11:39 EST --
New behavior:

(Heuristics possible):

[4350] info: Quorum Partition: /dev/sdb1 Label: lon
[4350] info: Quorum Daemon Initializing
[4350] info: Initial score 10/11
[4350] info: Initialization complete
[4350] notice: Score sufficient for master operation (10/10; max=11); upgrading
[4350] debug: Making bid for master
[4350] info: Assuming master role

(Heuristics impossible):

[4440] info: Quorum Partition: /dev/sdb1 Label: lon
[4440] info: Quorum Daemon Initializing
[4440] info: Initial score 11/11
[4440] info: Initialization complete
[4440] warning: Minimum score (20) is impossible to achieve (heuristic total = 11)

(no reboot)

Comment 1 Lon Hohberger 2007-01-22 22:52:20 UTC
Fixes in CVS; RHEL4 / RHEL5 / head branches.

Comment 2 Kiersten (Kerri) Anderson 2007-04-23 16:50:54 UTC
Fixing Product Name.  Cluster Suite was merged into Red Hat Enterpise Linux for
5.0.  In addition dlm, fence and ccs were merged into the cman package, so
bugzilla should reflect package name where those utilities are located.

Comment 3 RHEL Product and Program Management 2007-04-25 22:16:25 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Lon Hohberger 2007-06-29 17:22:41 UTC
This was tested for 4.5, but generally speaking, a configuration like the
following is:

<quorumd min_score="1000" ... >
   <heuristic ... score="1"/>
</quorumd>

...would cause a reboot on 5.0; as noted in the original post, we now warn the
user and do not reboot.


Comment 8 errata-xmlrpc 2007-11-07 16:59:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0575.html



Note You need to log in before you can comment on or make changes to this bug.